Name:           lux-release       
Version:        9
Release:        2
Summary:        Lux Packages

Group:          System Environment/Base 
License:        GPL 
URL:            http://repo.iotti.biz/

Source0:        http://repo.iotti.biz/RPM-GPG-KEY-LUX
Source1:        GPL	
Source2:        lux.repo	
Source3:        frank.repo
Source4:        maxi.repo

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      redhat-release >=  %{version} 
# Sarebbe bello richiederlo, ma avresti che il presente pacchetto dipenderebbe da un pacchetto che lux-release stesso poi permette di fornire.
#Requires:      yum-plugin-priorities-lux

%description
This package contains the Lux repository
GPG key as well as configuration for yum.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
install -pm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} %{SOURCE3} %{SOURCE4} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL RPM-GPG-KEY-LUX
%config(noreplace) /etc/yum.repos.d/lux.repo
%config(noreplace) /etc/yum.repos.d/frank.repo
%config(noreplace) /etc/yum.repos.d/maxi.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-LUX

%changelog
* Wed Feb 07 2024 Luigi Iotti <luigi@iotti.biz> - 9-2
- Maxi repo

* Tue Jan 01 2023 Luigi Iotti <luigi@iotti.biz> - 9-1
- First 9 release

